Skip to main content
GET
/
authorization
/
{id}
Get Authorization
curl --request GET \
  --url http://{host}:{port}/{contextPath}/authorization/{id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "http://{host}:{port}/{contextPath}/authorization/{id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('http://{host}:{port}/{contextPath}/authorization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "anAuthorizationId",
  "type": 0,
  "permissions": [
    "CREATE",
    "READ"
  ],
  "userId": "*",
  "groupId": null,
  "resourceType": 1,
  "resourceId": "*",
  "removalTime": "2018-02-10T14:33:19.000+0200",
  "rootProcessInstanceId": "f8259e5d-ab9d-11e8-8449-e4a7a094a9d6"
}
{
"type": "<string>",
"message": "<string>",
"code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the authorization to be retrieved.

Response

Request successful.

id
string | null

The id of the authorization.

type
integer<int32> | null

The type of the authorization (0=global, 1=grant, 2=revoke). See the User Guide for more information about authorization types.

permissions
string[] | null

An array of Strings holding the permissions provided by this authorization.

userId
string | null

The id of the user this authorization has been created for. The value * represents a global authorization ranging over all users.

groupId
string | null

The id of the group this authorization has been created for.

resourceType
integer<int32> | null

An integer representing the resource type. See the User Guide for a list of integer representations of resource types.

resourceId
string | null

The resource Id. The value * represents an authorization ranging over all instances of a resource.

removalTime
string<date-time> | null

The removal time indicates the date a historic instance authorization is cleaned up. A removal time can only be assigned to a historic instance authorization. Can be null when not related to a historic instance resource or when the removal time strategy is end and the root process instance is not finished. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ.

rootProcessInstanceId
string | null

The process instance id of the root process instance the historic instance authorization is related to. Can be null if not related to a historic instance resource.